summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-19 06:13:56 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-19 06:13:56 +0100
commite492898603ca76bd111f022918360ed522d28d83 (patch)
tree934aecd51464d5cb8bbbcc19a725ee389b4b9eec /dev-python
parent787e722bc5fcd20871872bfa0a525ab53f86e124 (diff)
downloadgentoo-e492898603ca76bd111f022918360ed522d28d83.tar.gz
gentoo-e492898603ca76bd111f022918360ed522d28d83.tar.bz2
gentoo-e492898603ca76bd111f022918360ed522d28d83.zip
dev-python/boto3: Bump to 1.42.71
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.71.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index ca100c56e6f96..255655e7db5f4 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.42.63.gh.tar.gz 1095562 BLAKE2B 26ffcecca0099e4ad72f3dca7be7dcf946d
DIST boto3-1.42.68.gh.tar.gz 1099362 BLAKE2B ad682ed811e726d2c57aa33730766bba09e1ba68149ae967189170a51d78cbe1f37c5b360a251cf3fc35972c8b59612f1083844fb12c5e2b767b503dfdc17473 SHA512 5bec985fe697bf2fdd565b29111bdf133aa833fa71520c178b721592aeb698696d833257342abaa05d575602a1a533da0ce4bbe186e0969d6f218bb81fd84ecc
DIST boto3-1.42.69.gh.tar.gz 1099937 BLAKE2B e348113a538fa3027b09fd2010533bb7b91b9e827c750d19fd7114fab7af1c18a8f6b659b90b2bb96ee676a3432495e2fc489626d53816b83efc6d00b629ee57 SHA512 be81a12c385bcb158dc3a6cd697c372d98d6537c8c3a3df29d168abfbccced0e5811df0fff3e0d359173b8a260b7207705db2298c011017bb63872ae1634caad
DIST boto3-1.42.70.gh.tar.gz 1100215 BLAKE2B 7d87439452901d1ddb661723c778d0c247b625db0d2aaaac65a6158aadc69bfecd0341b04607ca39af3a4bd32f6b8556e3d10320b9a48c78e2500bc17051f1f6 SHA512 31c22eedcf6c936727a8691736a2a46077bf5975ee840f14ab731ca328ae78b5b039298d63c557be223382aa2cd12f4c5b9a81bcb384c118d23917e1f4d9499c
+DIST boto3-1.42.71.gh.tar.gz 1100411 BLAKE2B 95338a79fccf2259081a83987616dd0ebf57c74cdfaa45c89a6787496e6fe4e62dc50c7da6cafee479a91eb62170186f7930312f662d1739d5aeb3e387a05da3 SHA512 830836dfa85dfe139cef3b25ae4f89feb9655a8d8a481463ec9eef856420640c3c4c13309948589b292951f813f526dd1c70296233fdb5671e6a1818978ffeb4
diff --git a/dev-python/boto3/boto3-1.42.71.ebuild b/dev-python/boto3/boto3-1.42.71.ebuild
new file mode 100644
index 0000000000000..019ca75e6b75a
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.71.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}